/**
 * Created by Administrator on 2021/4/5.
 */
define(['jquery', "template", "Tools", "newApi", "paging", 'swiper'], function ($, template, Tools ) {
    //数据存储
    var module = {
        data: {
            //焦点图数据
            focusListTop: [],
            //新闻列表
            newsInformationList:'',
            priceIndexList:'',
            //页码
            pageNum: 1,
            //页码集合
            pageList: [],
            //每页数量
            pageSize: 50,
            //总页数
            pageCount:0
        },
    };
    var tools = new Tools();

    module.init = function (page) {
        //获取焦点图信息
        tools.doGet(websitePicture, {picType:1,status:0,orderByColumn:'picSort',isAsc:'desc'}, module.focusNewsTop , true);
        //底部友情链接
        tools.doGet(friendsLinks, {}, module.bottomFriendsLinks, true);
        if(getQueryVariable('title') ){
            //console.log('搜索进入')
            //新闻资讯
            tools.doGet(newList, {deptId:100,pageNum:module.data.pageNum,pageSize:module.data.pageSize,title:getQueryVariable('title')}, module.NewsInformation,true);
        }else{
            //新闻资讯
            tools.doGet(newList, {number:2,deptId:100,pageNum:module.data.pageNum,pageSize:module.data.pageSize}, module.NewsInformation,true);
            tools.doGet(newList, {number:9,deptId:100,pageNum:module.data.pageNum,pageSize:module.data.pageSize}, module.NewsInformation2,true);
        }
        //网站配置信息（网站名称 底部联系方式 公安备案号 网站备案号）
        tools.getWebConfig();
    };

    //焦点图数据
    module.focusNewsTop = function (data) {
        if (data.code == 200) {

            let focusArray = [];

            if(data.data.length<1){
                focusArray.push({
                    picUrl:'../../../static/images/banner1.png'
                },{
                    picUrl:'../../../static/images/banner2.png'
                },{
                    picUrl:'../../../static/images/banner3.png'
                })
            }else{
                data.data.forEach(res=>{
                    focusArray.push({
                        picUrl:'/api'+res.picUrl
                    })
                })
            }

            module.data.focusListTop = focusArray;
            var bannerFocusDataTop = template('bannerFocusDataTop', module.data);
            $("#bannerFocusTopContent").html(bannerFocusDataTop);

            new Swiper('#bannerFocusWrapTop', {
                paginationClickable: true,
                autoplay : 4000,
                loop:true
            })

        }
    }

    //获取地址栏参数
    function getQueryVariable(variable){
        var query = window.location.search.substring(1);
        var vars = query.split("&");
        for (var i=0;i<vars.length;i++) {
            var pair = vars[i].split("=");
            if(pair[0] == variable){return pair[1];}
        }
        return(false);
    }
    //底部友情链接
    module.bottomFriendsLinks = function (data) {
        if (data.code == 200) {
            var content = data.data;
            //console.log(content)
            module.data.friendsLinksList = content;
            var friendsLinksData = template('friendsLinksData', module.data);
            $("#friendsLinksContent").html(friendsLinksData);
        }
    }

    //新闻资讯数据
    module.NewsInformation = function (data) {
        if (data.code == 200) {
            var content = data.rows;
            var pageCount = (data.total/module.data.pageSize).toFixed(0);
            if (pageCount < 1){
                pageCount = 1;
            }
            if(module.data.newsInformationList == ''){
                // 初始化 分页器
                var page_s1=createPage('.page_s1');
                // 设置分页
                setPage(page_s1,{
                    pageTotal: data.total, // 数据总条数
                    pageSize: module.data.pageSize,    // 每页显示条数
                    pageCurrent: 1,  //  当前页
                    maxBtnNum: 5,   // 最多按钮个数  （最少5个）
                })
                $('#page_s1').html('共'+pageCount+'页')
            }
            module.data.pageCount = pageCount;
            module.data.newsInformationList = content;
            var NewsInformationData = template('NewsInformationData', module.data);
            $("#NewsInformationContent").html(NewsInformationData);
        }
    }

    //新闻资讯数据
    module.NewsInformation2 = function (data) {
        if (data.code == 200) {
            var content = data.rows;
            var pageCount = (data.total/module.data.pageSize).toFixed(0);
            if (pageCount < 1){
                pageCount = 1;
            }
            if(module.data.priceIndexList == ''){
                // 初始化 分页器
                var page_s2=createPage('.page_s2');
                // 设置分页
                setPage(page_s2,{
                    pageTotal: data.total, // 数据总条数
                    pageSize: module.data.pageSize,    // 每页显示条数
                    pageCurrent: 1,  //  当前页
                    maxBtnNum: 5,   // 最多按钮个数  （最少5个）
                })
                $('#page_s2').html('共'+pageCount+'页')
            }
            module.data.pageCount = pageCount;
            module.data.priceIndexList = content;
            var priceIndexData = template('priceIndexData', module.data);
            $("#priceIndexContent").html(priceIndexData);
        }
    }

    tabList = function(type){
        console.log(type)
        document.getElementById('NewsInformationContent').style.display = 'none';
        document.getElementById('priceIndexContent').style.display = 'none';
        document.getElementById(type+'Content').style.display = 'block';

        document.getElementById('NewsInformation').className = '';
        document.getElementById('priceIndex').className = '';
        document.getElementById(type).className = 'active';

        document.getElementById('NewsInformationNum').style.display = 'none';
        document.getElementById('priceIndexNum').style.display = 'none';
        document.getElementById(type+'Num').style.display = 'block';

        module.data.clickType = type;
        module.data.pageNum = 1 ;
    }

    turnThePage = function (pageNum) {
        module.data.pageNum = pageNum ;
        if (getQueryVariable('title')){
            tools.doGet(newList, {deptId:100,pageNum:pageNum,pageSize:module.data.pageSize,title:getQueryVariable('title')}, module.NewsInformation,true);
        }else if(module.data.clickType == 'NewsInformation'){
            tools.doGet(newList, {number:2,deptId:100,pageNum:pageNum,pageSize:module.data.pageSize}, module.NewsInformation,true);
        }else if(module.data.clickType == 'priceIndex'){
            tools.doGet(newList, {number:9,deptId:100,pageNum:pageNum,pageSize:module.data.pageSize}, module.NewsInformation2,true);
        }
    }
    return module;
});
